<!--
 * @Title: 
 * @Description: 转移路线信息
 * @Author: swp
 * @Date: 2022-08-24 10:49:21
 * @LastEditors: 
 * @LastEditTime: 2022-08-24 10:49:21
-->
<template>
	<view class="container">
		<uni-nav-bar dark :fixed="true" backgroundColor="#3F9EFF" statusBar="false" left-icon="left" left-text="返回"
			@clickLeft="toBack">
			<view class="nav-title">
				<text>{{title}}</text>
			</view>
		</uni-nav-bar>
		<view class="container">
			<uni-section title="查询" type="line">
				<view class="search-block">
					<view class="name">
						<uni-easyinput :styles="inputStyles" @input="adNameValInput" prefixIcon="search"
							v-model="adNameVal" placeholder="请输入行政区名称">
						</uni-easyinput>
					</view>
					<view class="name">
						<uni-easyinput :styles="inputStyles" @input="leaveLineNameValInput" prefixIcon="search"
							v-model="leaveLineNameVal" placeholder="请输入转移路线名称">
						</uni-easyinput>
					</view>
					<view class="submit-btn">
						<button type="default" @click="search">查 询</button>
					</view>
				</view>
			</uni-section>
			<uni-list>
				<uni-list-item v-for="item in list" :key="item.id">
					<template v-slot:body>
						<view class="list-item-block">
							<view class="line">
								<text class="title text-ellipsis">{{item.leaveLineName}}</text>
							</view>
							<view class="line">
								<uni-icons class="input-uni-icon" type="map-pin-ellipse" size="18" color="orangered" />
								<text class="lable">行政区划：</text>
								<text class="content">{{item.adnm}}</text>
							</view>
							<view class="item-button-group">
								<view class="item-button" @click="toMap(item)">
									<view class="items-line">
										<uni-icons class="input-uni-icon" type="location" size="18" color="coral" />
										<text class="button-text">地图查看</text>
									</view>
								</view>
							</view>
						</view>
					</template>
				</uni-list-item>
			</uni-list>
			<uni-group>
				<view class="pagination-block">
					<uni-pagination show-icon :pageSize="pageSize" :current="pageCurrent" :total="total"
						@change="pageChange" />
				</view>
			</uni-group>
		</view>
	</view>
</template>

<script>
	import http from '@/http/api.js';
	import {
		oss,
		devUrl,
		prodUrl
	} from '@/common/setting';

	export default {
		components: {},
		data() {
			return {
				title: '转移路线信息',
				pageSize: 10,
				pageCurrent: 1,
				total: 0,
				list: [],
				query: {},
				adNameVal: '',
				leaveLineNameVal: '',
				inputStyles: {
					color: '#808080',
					borderColor: '#d3d3d3'
				},
			}
		},
		computed: {},
		onLoad(options) {
			this.id = options.id;
			this.baseURL = process.env.NODE_ENV === 'development' ? devUrl : prodUrl;
			this.getPage();
		},
		onShow() {},
		methods: {
			toBack() {
				uni.navigateBack({
					delta: 1
				})
			},
			adNameValInput(e) {
				if (e == null || e.length == 0) {
					this.adNameVal = '';
				}
			},
			leaveLineNameValInput(e) {
				if (e == null || e.length == 0) {
					this.leaveLineNameVal = '';
				}
			},
			search() {
				this.pageCurrent = 1;
				this.getPage();
			},
			toMap(item) {
				let url = '/pages/yjxt/dangerarealeaveline/leavelinemap?id=' + item.id;
				uni.navigateTo({
					url: url
				})
			},
			pageChange(e) {
				this.pageCurrent = e.current;
				this.getPage()
			},
			getPage(params = {}) {
				if (this.adNameVal.length > 0) {
					params['adnm'] = this.adNameVal;
				}
				if (this.leaveLineNameVal.length > 0) {
					params['leaveLineName'] = this.leaveLineNameVal;
				}
				console.log(JSON.stringify(params))
				const current = this.pageCurrent;
				const size = this.pageSize;
				let postData = Object.assign(params, this.query);
				let that = this;
				http.request({
					url: '/galaxy-business/map/leaveline/page',
					method: 'GET',
					params: {
						current,
						size,
					},
					data: postData,
				}).then(res => {
					if (res.data.records != null) {
						that.list = res.data.records;
					}
					this.total = res.data.total;
				}).catch(err => {
					console.log(err)
				})
			},
		}
	}
</script>

<style>
	.uni-body {
		font-size: 0.7rem;
	}
</style>